**Goals**: There are three goals for this project:

1. Create a Land Mine computer game
2. Work as a team of software developers
3. Use Github for a source control system

Before starting, you may need to refresh your memory about concepts we've discussed a few weeks ago:

  * Familiarize yourself with your IDE
  * Re­watch the [video about Messaging](https://drive.google.com/file/d/0By_urvPEz0R7dG1PbzNEOThJTEU/view?pli=1)
  * Re­read about MVC Framework
  * Re­watch the [MVC videos](https://drive.google.com/file/d/0By_urvPEz0R7VFFiOVNrdm4zOHM/view?pli=1)

**Code template**: The MVC framework that you experimented with in the last unit will be the code template for this project. Fork your template code from [this repository](https://github.com/JaffeAPCS1415/MVCExample) to create your repository.

**Team meetings**: At the beginning of the period each day your team will have a short (5 minutes or so) meeting where you will describe to each other the work you did for the last 24 hours, the work you plan to do today, and how your Java class (Controller, View, or Model) will interact with the other two classes. This is your time to make sure that you are all on the same page and understand what the others are doing.

**Grading**: Your game will be assessed on the following things:

  * Does the game work?
  * Appropriate documentation using JavaDoc styling￼
￼ * Coding style and structure (Indentation, inline comments where needed)
  * Overall “coolness” of your app
  * Correctly submitting your code for review (see syllabus for instructions)
  * How well you worked with the others in your group (assessed by the others in your team)

Programs that meet the requirements of the game description above can get a maximum of a ‘3’ on the Overall “coolness” score. Some things that your team can do to get a ‘5’ on “coolness” are:

  * Let the player choose the size of the board
  * Let the player choose how many mines are on the board
  * Animate explosions when the mines are uncovered
  * Supply encouraging messages to the player when empty spaces are uncovered.